<?php 
require_once '../../../../lib/configuration.inc';

// Vérification si l'accès est valide
if(!isset($_SESSION['SessionADMIN_compte_id'])){
	header('Location: ../../../auth.php');
	exit;
}

// Vérification si l'utilisateur a les droits d'accès
if($_SESSION['SessionADMIN_compte_type']=='utilisateur' AND (in_array(5, $_SESSION['SessionADMIN_compte_acces_modules'])==false OR in_array(6, $_SESSION['SessionADMIN_compte_acces_rubriques'])==false)){
	header('Location: ../../../');
	exit;
}


// Sélection des départs
$requete_planning = mysqli_query($connexion_mysql, 'SELECT planning_id, A.equipe_id FROM (planning A INNER JOIN golfs B ON A.golf_id=B.golf_id) INNER JOIN equipes C ON A.equipe_id=C.equipe_id WHERE (planning_depart_date="2014-04-23" OR planning_depart_date="2014-04-24" OR planning_depart_date="2014-04-25" OR planning_depart_date="2014-04-26") ORDER BY planning_depart_date, planning_depart_heure, planning_groupe, equipe_nom');
$nb_planning = mysqli_num_rows($requete_planning);

if($nb_planning!=0){
	for($planning_boucle=0; $planning_boucle<$nb_planning; $planning_boucle++){
		$resultat_planning = mysqli_fetch_array($requete_planning);
		$planning_id = $resultat_planning[0];
		$planning_equipe = $resultat_planning[1];


		$tab_planning_scores_brut = $tab_planning_scores_net = array();


		// Sélection de la carte de score
		$requete_carte = mysqli_query($connexion_mysql, 'SELECT score_joueur_pro_id, score_joueur_pro_resultats, score_joueur_am1_id, score_joueur_am1_resultats, score_joueur_am1_coupsrecus, score_joueur_am2_id, score_joueur_am2_resultats, score_joueur_am2_coupsrecus, score_joueur_am3_id, score_joueur_am3_resultats, score_joueur_am3_coupsrecus FROM scores WHERE competition_id="'.$competition_id.'" AND planning_id='.$planning_id);
		$nb_carte = mysqli_num_rows($requete_carte);
		if($nb_carte!=0){
			$resultat_carte = mysqli_fetch_array($requete_carte);
			$score_joueur_pro_id = $resultat_carte[0];
			$score_joueur_pro_resultats = explode(',', $resultat_carte[1]);
			$score_joueur_am1_id = $resultat_carte[2];
			$score_joueur_am1_resultats = explode(',', $resultat_carte[3]);
			$score_joueur_am1_coupsrecus = explode(',', $resultat_carte[4]);
			$score_joueur_am2_id = $resultat_carte[5];
			$score_joueur_am2_resultats = explode(',', $resultat_carte[6]);
			$score_joueur_am2_coupsrecus = explode(',', $resultat_carte[7]);
			$score_joueur_am3_id = $resultat_carte[8];
			$score_joueur_am3_resultats = explode(',', $resultat_carte[9]);
			$score_joueur_am3_coupsrecus = explode(',', $resultat_carte[10]);


			$score_brut_aller = $score_brut_retour = $score_net_aller = $score_net_retour = 0;
			$liste_score_brut = $liste_score_net = '';

			for($boucle=0; $boucle<=17; $boucle++){

				// SCORE BRUT
				$tab_score_brut_trou = array($score_joueur_pro_resultats[$boucle], $score_joueur_am1_resultats[$boucle], $score_joueur_am2_resultats[$boucle], $score_joueur_am3_resultats[$boucle]);
				sort($tab_score_brut_trou);
				$score_brut = $tab_score_brut_trou[0] + $tab_score_brut_trou[1];
				$liste_score_brut .= $score_brut.',';

				// SCORE NET
				$score_net_trou_pro = $score_joueur_pro_resultats[$boucle];
				$score_net_trou_am1 = $score_joueur_am1_resultats[$boucle] - $score_joueur_am1_coupsrecus[$boucle];
				$score_net_trou_am2 = $score_joueur_am2_resultats[$boucle] - $score_joueur_am2_coupsrecus[$boucle];
				$score_net_trou_am3 = $score_joueur_am3_resultats[$boucle] - $score_joueur_am3_coupsrecus[$boucle];
				$tab_score_net_trou = array($score_net_trou_pro, $score_net_trou_am1, $score_net_trou_am2, $score_net_trou_am3);
				sort($tab_score_net_trou);
				$score_net = $tab_score_net_trou[0] + $tab_score_net_trou[1];
				$liste_score_net .= $score_net.',';

				if($boucle<=8){
					$score_brut_aller = $score_brut_aller + $score_brut;
					$score_net_aller = $score_net_aller + $score_net;
				}else{
					$score_brut_retour = $score_brut_retour + $score_brut;
					$score_net_retour = $score_net_retour + $score_net;
				}

			}

			$liste_score_brut = substr($liste_score_brut, 0, -1);
			$liste_score_net = substr($liste_score_net, 0, -1);

			$score_brut_total = $score_brut_aller + $score_brut_retour;
			$score_net_total = $score_net_aller + $score_net_retour;


			$requete_maj = mysqli_query($connexion_mysql, 'UPDATE scores SET score_joueur_brut="'.$liste_score_brut.'", score_joueur_net="'.$liste_score_net.'", score_joueur_brut_retour='.$score_brut_retour.', score_joueur_brut_aller='.$score_brut_aller.', score_joueur_brut_total='.$score_brut_total.', score_joueur_net_retour='.$score_net_retour.', score_joueur_net_aller='.$score_net_aller.', score_joueur_net_total='.$score_net_total.' WHERE planning_id='.$planning_id);

		}

	}
}
?>
